%define shortname repo
%define major 0
%define libname %mklibname %shortname %major
%define libname_devel %mklibname -d %shortname

Name:           librepo
Version:        1.7.20
Release:        %mkrel 2
Summary:        Repodata downloading library

Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/rpm-software-management/librepo
Source0:        https://github.com/rpm-software-management/librepo/archive/%{name}-%{version}.tar.gz


BuildRequires:  check-devel
BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  expat-devel
BuildRequires:  glib2-devel >= 2.26.0
BuildRequires:  gpgme-devel
BuildRequires:  libattr-devel
BuildRequires:  libcurl-devel >= 7.19.0
BuildRequires:  openssl-devel

# prevent provides from nonstandard paths:
%define __provides_exclude_from ^(%{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so)$

%description
A library providing C and Python (libcURL like) API to downloading repository
metadata.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries

%description -n %{libname}
Libraries for %{name}

%package -n %{libname_devel}
Summary:        Repodata downloading library
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n %{libname_devel}
Development files for %{name}.

%package -n python2-librepo
Summary:        Python bindings for the librepo library
Group:          Development/Python
BuildRequires:  python-gpgme
BuildRequires:  python-devel
BuildRequires:  python-flask
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  python-xattr
Provides:       python-%{name} = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n python2-librepo
Python bindings for the librepo library.

%package -n python3-librepo
Summary:        Python 3 bindings for the librepo library
Group:          Development/Python
BuildRequires:  python3-gpgme
BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-nose
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme
BuildRequires:  python3-xattr
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description -n python3-librepo
Python 3 bindings for the librepo library.

%prep
%setup -q -n %{name}-%{name}-%{version}

rm -rf py3
mkdir py3

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
%make_build

# Py3 build
pushd ../py3
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo -DPYTHON_DESIRED:str=3 ../../
%make_build
popd


%check
pushd ./build
make ARGS="-V" test
make clean
popd

# Py3 check
pushd ./py3/build
make ARGS="-V" test
popd


%install
pushd ./build
%make_install
popd

# Py3 install
pushd ./py3/build
%make_install
popd


%files -n %{libname}
%license COPYING
%doc README.md
%{_libdir}/librepo.so.%{major}

%files -n %{libname_devel}
%{_libdir}/librepo.so
%{_libdir}/pkgconfig/librepo.pc
%{_includedir}/librepo/

%files -n python2-librepo
%{python2_sitearch}/librepo

%files -n python3-librepo
%{python3_sitearch}/librepo


%changelog
* Sun Nov 27 2016 ngompa <ngompa> 1.7.20-2.mga6
+ Revision: 1070463
- Bump for rebuilding against core/release

* Sat Nov 26 2016 ngompa <ngompa> 1.7.20-1.mga6
+ Revision: 1070204
- Upgrade to 1.7.20

* Mon Feb 15 2016 umeabot <umeabot> 1.7.17-4.mga6
+ Revision: 961213
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 1.7.17-3.mga6
+ Revision: 888472
- Rebuild for Python3 3.5.x (Thanks to Neal Gompa
- Cleanups for the .spec by Neal Gompa

* Sun Oct 04 2015 shlomif <shlomif> 1.7.17-2.mga6
+ Revision: 886208
- Importing librepo - thanks to Neal Gompa/Son_Goku

